Subject: bug#22294: 25.0.50; edebug should support jumping into generic methods

From: Dmitry Gutov <[email-masked]>
Date: Tue, 11 Apr 2017 13:57:39 +0300

Hi Gemini,

On 03.03.2017 04:52, Gemini Lasswell wrote:

> I've just sent a patch for bug#24753, which fixes an "args out of range"
> error that happened when asking Edebug to step through generic methods,
> after more than one with the same name had been instrumented. With the
> patch in place Edebug is stepping through methods for me. Can you try
> the patch and see if it also fixes the problems you were having?

Thanks for pinging me, but the patch does little to the problem I'm seeing.

Specifically, edebug-step-in doesn't work to step into a function call 
that's calling a generic method.

Instead, edebug simply quits and the execution of the current command 
continues.

Example:

1. Instrument xref-collect-references.

2. Type M-x xref-find-references.

3. When point reaches the semantic-symref-perform-search call, press 'i'.